==============
sphinx-testing
==============

`sphinx-testing` provides testing utility classes and functions for Sphinx extensions.


Setup
=====

Use easy_install or pip::

   $ sudo pip install sphinx-testing

Usage
======

Example::

    from sphinx_testing import with_app

    @with_app(buildername='html', srcdir='/path/to/examples', copy_srcdir_to_tmpdir=True)
    def test_sphinx_build(app, status, warning):
        app.build()
        html = (app.outdir / 'index.html').read_text()
        assert '<h1>Hello world</h1>' in html


Requirements
============
* Python 2.6, 2.7, 3.4 or later
* Sphinx 0.6 or later
* six

License
=======
BSD License
